# petsc4py.PETSc.DMSwarm.CollectType

class petsc4py.PETSc.DMSwarm.CollectType

  Bases: `object`

  Swarm collection types.

  Attributes Summary

  `COLLECT_BASIC` | Constant `COLLECT_BASIC` of type `int`
  `COLLECT_DMDABOUNDINGBOX` | Constant `COLLECT_DMDABOUNDINGBOX` of type `int`
  `COLLECT_GENERAL` | Constant `COLLECT_GENERAL` of type `int`
  `COLLECT_USER` | Constant `COLLECT_USER` of type `int`

  Attributes Documentation

  COLLECT_BASIC: int = COLLECT_BASIC

    Constant `COLLECT_BASIC` of type `int`

  COLLECT_DMDABOUNDINGBOX: int = COLLECT_DMDABOUNDINGBOX

    Constant `COLLECT_DMDABOUNDINGBOX` of type `int`

  COLLECT_GENERAL: int = COLLECT_GENERAL

    Constant `COLLECT_GENERAL` of type `int`

  COLLECT_USER: int = COLLECT_USER

    Constant `COLLECT_USER` of type `int`